<!--{{sensorDataForList}}-->
<div class="sensorContSec moreBtm">
    <!--..... sub header ......-->
    <div class="subHeader">
        <div class="floatLeft">
            <div class="mainNormal roboLight marginTopShort">ASSETS MAP</div>
        </div>
        <div class="floatRight">
            <div class="btn flat small addSensorBtn midBlock">NEW ASSET</div>
            <div class="needHelpBtn small midBlock marginLeft" data-init="0">SHOW HELP</div>
        </div>
        <span class="clear"></span>
    </div>

    <div class="sensorContMain contentSecMain">
        <div class="contentSec">
            <div class="mapContainer">
                <div class="map" id="sensorMap"></div>

                <div class="bottomOpt">
                    <ul>
                        <!--<li>
                            <div class="device midBlock camera"></div>
                            <div class="deviceName midBlock">Car</div>
                        </li>
                        <li>
                            <div class="device midBlock parkingSensors"></div>
                            <div class="deviceName midBlock">RFID</div>
                        </li>-->
                        <li>
                            <div class="device midBlock obdDevice"></div>
                            <div class="deviceName midBlock">Obd Device</div>
                        </li>
                        <!--<li>
                            <div class="device midBlock radar"></div>
                            <div class="deviceName midBlock">Parking Lot Sensors</div>
                        </li>-->
                    </ul>
                </div>

                <div class="rightDetails deviceData">
                    <div class="close smallTitle">X</div>
                    <div class="contentMain">
                        <div class="content mainNormal">
                            <div class="location marginBtm">
                                <div class="">
                                    Name: <span class="lightBColor"
                                                ng-bind="sensorControllerObjects.markerSelected.name || upperCase"></span>
                                </div>
                            </div>
                            <div class="name marginBtm">
                                <div class="">
                                    Status: <span class="lightBColor"
                                                ng-bind="sensorControllerObjects.markerSelected.online || upperCase"></span>
                                </div>
                            </div>
                            <div class="name marginBtm">
                                <div class="">
                                    Latitude: <span class="lightBColor"
                                                    ng-bind="sensorControllerObjects.markerSelected.lat"></span>
                                </div>
                            </div>
                            <div class="location marginBtm">
                                <div class="">
                                    Longitude: <span class="lightBColor"
                                                     ng-bind="sensorControllerObjects.markerSelected.lng"></span>
                                </div>
                            </div>
                            <div class="location marginBtm">
                                <div class="">
                                    created Date: <span class="lightBColor"
                                                     ng-bind="sensorControllerObjects.markerSelected.createdDate | date "></span>
                                </div>
                            </div>
                            <div class="location marginBtm">
                                <div class="">
                                    updated Date: <span class="lightBColor"
                                                     ng-bind="sensorControllerObjects.markerSelected.updatedDate | date "></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sensorListMain">
                <div class="paddingFull mainNormal roboLight">ASSETS LIST</div>
            </div>

            <div class="sensorListMain subHeader">

                <div class="leftCont floatLeft">
                </div>
                <div class="rightCont floatRight">
                    <div class="searchBox midBlock">
                        <input type="text" ng-model="sensorSearchFilter.sensorData.assetName" class="small ng-pristine ng-valid ng-touched"
                               placeholder="Search Assets By Name">
                        <div class="searchBtn"></div>
                    </div>
                    <div class="midBlock marginLeft">
                        <!--<input type="text" ng-model="sensorSearchFilter.sensorData.sensorLabel" class="small ng-pristine ng-valid ng-touched"
                               placeholder="Search Assets By Type">-->
                        <ul>
                            <li>
                                <div class="dropDown midBlock personCat">
                                    <div class="head" data-init="0">
                                        <div class="headTitle">All</div>
                                    </div>
                                    <ul class="list">
                                        <li ng-repeat="sensorTypes in sensorControllerObjects.sensorTypesForFilter"
                                            ng-click="setTypeToGetAssetList(sensorTypes.typeId)">
                                            {{sensorTypes.label}}
                                        </li></ul>
                                </div>
                            </li>
                        </ul>
                        <!--<div class="searchBtn"></div>-->
                    </div>
                </div>
                <span class="clear"></span>
            </div>
            <div class="sensorList mainNormal roboLight">
                <div class="dataTable devicesList">
                    <div class="dataRow header">
                        <ul class="rowCont">
                            <li class="sensor">
                                <div class="midBlock marginLeftSml">Assets Name</div>
                            </li>
                            <li class="type">Type</li>
                            <li class="expand"></li>
                        </ul>
                    </div>

                    <div class="dataRow" ng-repeat="sensors in sensorDataForList | filter:sensorSearchFilter | orderBy:'-_id'">
                        <a href="#/necApp/sensorMain/sensorDetails/{{sensors._id}}/{{sensors.sensorData.apiRefId}}">
                            <ul class="rowCont">
                                <li class="sensor">
                                    <div class="midBlock marginLeftSml">
                                        {{sensors.sensorData.assetName}}
                                    </div>
                                </li>
                                <li class="type">{{sensors.sensorData.sensorLabel}}</li>
                                <li class="expand">
                                    <div class="expandBtn">+</div>
                                </li>
                            </ul>
                        </a>
                    </div>
                    <!--.... pagination ...-->
                    <ul class="pagination marginTop">
                        <!--ng-if="sensorControllerObjects.paginationDetails.assetPageSelected!=1"-->
                        <li ng-if="sensorControllerObjects.paginationDetails.assetPageSelected!=1" class="prev"
                            ng-click="decrementPageNo(sensorTypes.typeId)"></li>

                        <li ng-class="{active: $index+1 == sensorControllerObjects.paginationDetails.assetPageSelected}"
                            ng-repeat="assetPageDetails in sensorControllerObjects.paginationDetails.assetTotalPageCount track by $index"
                            ng-click="getAssetDetailsByPageNo($index+1)">
                            {{$index+1}}</li>

                        <li class="active"
                            ng-if="sensorControllerObjects.paginationDetails.assetPageSelected>sensorControllerObjects.paginationDetails.maxAssetsPerPage"
                            ng-bind="sensorControllerObjects.paginationDetails.assetPageSelected"></li>

                        <li ng-if="sensorControllerObjects.paginationDetails.assetPageSelected!=sensorControllerObjects.paginationDetails.totalNoOfAssets"
                            class="next" ng-click="incrementPageNo(sensorTypes.typeId)"></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<!--... page main loader .... -->
<hr-loader class="overlayFix" ng-show="pageLoader" ng-init="pageLoader=true"></hr-loader>


<!--....... Add Sensor popup ......-->
<div class="popup addComponent addSensor">
    <div class="x close">X</div>
    <form name="newAssetForm" class="css-form" novalidate>
        <div class="popupContent"><!--{{newAssetForm.$invalid}}-->

            <div class="otherDetails">
                <ul class="form ">
                    <li>
                        <div class="tag">Asset Type</div>
                        <div class="dropDown midBlock personCat">
                            <div class="head" data-init="0">{{}}
                                <div class="headTitle">{{sensorControllerObjects.addingSensor.label}}</div>
                            </div>
                            <ul class="list">{{sensorTypes}}
                                <li ng-repeat="sensorTypes in sensorControllerObjects.sensorTypes"
                                    ng-click="changeSensorType(sensorTypes.typeId,sensorTypes.label)">
                                    {{sensorTypes.label}}
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
              <ul class="form flow dynamic">
                    <li ng-repeat="formEle in sensorControllerObjects.addingSensor.form">
                        <div ng-if="formEle.assetName">
                            <div ng-init="$parent.sensor.assetName = formEle.model"></div>
                        </div>
                        <div ng-show="formEle.type!='dropDown'">
                            <div class="tag capitalize">{{formEle.name}}<span class="error mainNormal" ng-if="formEle.required">*</span></div>
                            <input ng-if="formEle.type!='date'" name="{{formEle.model}}" type="{{formEle.type}}"
                                   ng-model="$parent.sensor[formEle.model]"
                                   placeholder="{{formEle.description}}"
                                   ng-required="formEle.required">
                            <input ng-if="formEle.type==='date'" name="{{formEle.model}}" type="text"
                                   ng-model="$parent.sensor[formEle.model]"
                                   placeholder="{{formEle.description}}"
                                   ng-required="formEle.required" date="$parent.linkAssetsVariables.assets[formEle.model]" date-picker>
                            <div class="error small marginTopShort"
                                 ng-show="!newAssetForm[formEle.model].$pristine && newAssetForm[formEle.model].$invalid &&
                             sensorControllerObjects.addingSensor.isSensorNameUnique==='true'">
                                Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                            </div>
                            <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !sensorControllerObjects.addingSensor.isSensorNameUnique">
                                Sensor Name {{$parent.sensor.sensorName}} Already Exist
                            </div>
                        </div>
                        <div ng-show="formEle.type==='dropDown'">
                            <div class="tag capitalize" ng-init="$parent.sensor[formEle.model]=formEle.dropDownDetails.defaultValue">{{formEle.name}}
                                <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                            <div class="dropDown midBlock personCat">
                                <div class="head" data-init="0">
                                    <div class="headTitle">{{formEle.dropDownDetails.defaultValue}}</div>
                                </div>
                                <ul class="list">
                                    <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues" ng-click="$parent.sensor[formEle.model]=dropDownValue">
                                        {{dropDownValue}}
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div ng-show="formEle.type==='hidden'">
                            <!--{{$parent.sensor[formEle.model]=$parent.sensor[typeName]}}-->
                          <!--  <div ng-model="$parent.sensor[formEle.model]=$parent.sensor[typeName]"></div>-->
                        </div>
                    </li>
                </ul>
            </div>
            <div class="btnsMain">
                <button class="btn midBlock marginRgt"
                    ng-disabled="newAssetForm.$invalid"
                     ng-click="addSensors(sensor)">Add
                </button>
                <div class="btn midBlock close">Cancel</div>
            </div>
        </div>
    </form>

    <circular-loader ng-show="addSensorLoader"></circular-loader>
</div>
